Package com.sas.metadata.remote

# Interface XPath

All Superinterfaces:
  `CMetadata`, `MdObjectBase`, `MdObjectBaseUtil`, `MdObjectBaseXML`, `Remote`, `Root`, `SecondaryType`

public interface XPath extends SecondaryType
Used to describe an XPath location path.

Attributes of XPath are:

- `LocationPath`
- `LocationPathType`
- `MajorVersion`
- `MinorVersion`
- `ProcessTag`
- `AxisName`
- `NodeSetFunction`
- `SyntaxMarker`

Associations of XPath are:

- `AssociatedMapColumn`
- `AssociatedMapTable`

## Usage

To create an instance of this XPath, use the `factory` create methods.
Example: create a XPath with name "XPath_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     XPath myObject = (XPath) factory.createComplexMetadataObject(objectStore, "XPath_Object", MetadataObjects.XPATH, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ASSOCIATION_ASSOCIATEDMAPCOLUMN_NAME`
  Constant used for the name of the AssociatedMapColumn association.
  `static final String`
  `ASSOCIATION_ASSOCIATEDMAPTABLE_NAME`
  Constant used for the name of the AssociatedMapTable association.
  `static final String`
  `ATTRIBUTE_AXISNAME_NAME`
  Constant used for the name of the AxisName attribute.
  `static final String`
  `ATTRIBUTE_LOCATIONPATH_NAME`
  Constant used for the name of the LocationPath attribute.
  `static final String`
  `ATTRIBUTE_LOCATIONPATHTYPE_NAME`
  Constant used for the name of the LocationPathType attribute.
  `static final String`
  `ATTRIBUTE_MAJORVERSION_NAME`
  Constant used for the name of the MajorVersion attribute.
  `static final String`
  `ATTRIBUTE_MINORVERSION_NAME`
  Constant used for the name of the MinorVersion attribute.
  `static final String`
  `ATTRIBUTE_NODESETFUNCTION_NAME`
  Constant used for the name of the NodeSetFunction attribute.
  `static final String`
  `ATTRIBUTE_PROCESSTAG_NAME`
  Constant used for the name of the ProcessTag attribute.
  `static final String`
  `ATTRIBUTE_SYNTAXMARKER_NAME`
  Constant used for the name of the SyntaxMarker attribute.

  ### Fields inherited from interface com.sas.metadata.remote.MdObjectBase

  `ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.Root

  `ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Column`
  `getAssociatedMapColumn()`
  Gets the `Column` for `AssociatedMapColumn`
  `AssociationList`
  `getAssociatedMapColumns()`
  Gets the Association list of `AssociatedMapColumns`
  `AssociationList`
  `getAssociatedMapColumns(boolean fGoToServer)`
  Gets the Associationlist of `AssociatedMapColumns`
  `RelationalTable`
  `getAssociatedMapTable()`
  Gets the `RelationalTable` for `AssociatedMapTable`
  `AssociationList`
  `getAssociatedMapTables()`
  Gets the Association list of `AssociatedMapTables`
  `AssociationList`
  `getAssociatedMapTables(boolean fGoToServer)`
  Gets the Associationlist of `AssociatedMapTables`
  `String`
  `getAxisName()`
  Gets the `String` value of `AxisName`
  `int`
  `getAxisNameMaxLength()`
  Gets the maximum length of `AxisName`
  `int`
  `getAxisNameState()`
  Gets the Metadata State of `AxisName`
  `String`
  `getLocationPath()`
  Gets the `String` value of `LocationPath`
  `int`
  `getLocationPathMaxLength()`
  Gets the maximum length of `LocationPath`
  `int`
  `getLocationPathState()`
  Gets the Metadata State of `LocationPath`
  `int`
  `getLocationPathType()`
  Gets the `int` value of `LocationPathType`
  `int`
  `getLocationPathTypeState()`
  Gets the Metadata State of `LocationPathType`
  `int`
  `getMajorVersion()`
  Gets the `int` value of `MajorVersion`
  `int`
  `getMajorVersionState()`
  Gets the Metadata State of `MajorVersion`
  `int`
  `getMinorVersion()`
  Gets the `int` value of `MinorVersion`
  `int`
  `getMinorVersionState()`
  Gets the Metadata State of `MinorVersion`
  `String`
  `getNodeSetFunction()`
  Gets the `String` value of `NodeSetFunction`
  `int`
  `getNodeSetFunctionMaxLength()`
  Gets the maximum length of `NodeSetFunction`
  `int`
  `getNodeSetFunctionState()`
  Gets the Metadata State of `NodeSetFunction`
  `int`
  `getProcessTag()`
  Gets the `int` value of `ProcessTag`
  `int`
  `getProcessTagState()`
  Gets the Metadata State of `ProcessTag`
  `String`
  `getSyntaxMarker()`
  Gets the `String` value of `SyntaxMarker`
  `int`
  `getSyntaxMarkerMaxLength()`
  Gets the maximum length of `SyntaxMarker`
  `int`
  `getSyntaxMarkerState()`
  Gets the Metadata State of `SyntaxMarker`
  `void`
  `initializePredObjects()`
  (S) Adds the Associated objects to the predObjects which are:
  `void`
  `initializeRequiredObjects()`
  (S) This initializes the Required Objects(Roles) which are:
  `void`
  `setAssociatedMapColumn(Column inObject)`
  Sets the `AssociatedMapColumns` list 0th element to be `inObject`.
  `void`
  `setAssociatedMapColumns(AssociationList list)`
  Sets the `AssociatedMapColumns` list to be `list`.
  `void`
  `setAssociatedMapColumns(AssociationList list, int state)`
  Sets the `AssociatedMapColumns` list to be `list`.
  `void`
  `setAssociatedMapTable(RelationalTable inObject)`
  Sets the `AssociatedMapTables` list 0th element to be `inObject`.
  `void`
  `setAssociatedMapTables(AssociationList list)`
  Sets the `AssociatedMapTables` list to be `list`.
  `void`
  `setAssociatedMapTables(AssociationList list, int state)`
  Sets the `AssociatedMapTables` list to be `list`.
  `void`
  `setAxisName(String inAxisName)`
  Sets the `AxisName` value and sets the state to MetadataState.LOCAL.
  `void`
  `setAxisName(String inAxisName, int state)`
  Sets the `AxisName` Metadata State.
  `void`
  `setAxisNameState(int state)`
  Sets the Metadata State of `AxisName`.
  `void`
  `setLocationPath(String inLocationPath)`
  Sets the `LocationPath` value and sets the state to MetadataState.LOCAL.
  `void`
  `setLocationPath(String inLocationPath, int state)`
  Sets the `LocationPath` Metadata State.
  `void`
  `setLocationPathState(int state)`
  Sets the Metadata State of `LocationPath`.
  `void`
  `setLocationPathType(int inLocationPathType)`
  Sets the `LocationPathType` value and sets the state to MetadataState.LOCAL.
  `void`
  `setLocationPathType(int inLocationPathType, int state)`
  Sets the `LocationPathType` Metadata State.
  `void`
  `setLocationPathType(String inLocationPathType)`
  Sets the `LocationPathType` value and sets the state to MetadataState.LOCAL.
  `void`
  `setLocationPathType(String inLocationPathType, int state)`
  Sets the `LocationPathType` value and Metadata State.
  `void`
  `setLocationPathTypeState(int state)`
  Sets the Metadata State of `LocationPathType`.
  `void`
  `setMajorVersion(int inMajorVersion)`
  Sets the `MajorVersion` value and sets the state to MetadataState.LOCAL.
  `void`
  `setMajorVersion(int inMajorVersion, int state)`
  Sets the `MajorVersion` Metadata State.
  `void`
  `setMajorVersion(String inMajorVersion)`
  Sets the `MajorVersion` value and sets the state to MetadataState.LOCAL.
  `void`
  `setMajorVersion(String inMajorVersion, int state)`
  Sets the `MajorVersion` value and Metadata State.
  `void`
  `setMajorVersionState(int state)`
  Sets the Metadata State of `MajorVersion`.
  `void`
  `setMinorVersion(int inMinorVersion)`
  Sets the `MinorVersion` value and sets the state to MetadataState.LOCAL.
  `void`
  `setMinorVersion(int inMinorVersion, int state)`
  Sets the `MinorVersion` Metadata State.
  `void`
  `setMinorVersion(String inMinorVersion)`
  Sets the `MinorVersion` value and sets the state to MetadataState.LOCAL.
  `void`
  `setMinorVersion(String inMinorVersion, int state)`
  Sets the `MinorVersion` value and Metadata State.
  `void`
  `setMinorVersionState(int state)`
  Sets the Metadata State of `MinorVersion`.
  `void`
  `setNodeSetFunction(String inNodeSetFunction)`
  Sets the `NodeSetFunction` value and sets the state to MetadataState.LOCAL.
  `void`
  `setNodeSetFunction(String inNodeSetFunction, int state)`
  Sets the `NodeSetFunction` Metadata State.
  `void`
  `setNodeSetFunctionState(int state)`
  Sets the Metadata State of `NodeSetFunction`.
  `void`
  `setProcessTag(int inProcessTag)`
  Sets the `ProcessTag` value and sets the state to MetadataState.LOCAL.
  `void`
  `setProcessTag(int inProcessTag, int state)`
  Sets the `ProcessTag` Metadata State.
  `void`
  `setProcessTag(String inProcessTag)`
  Sets the `ProcessTag` value and sets the state to MetadataState.LOCAL.
  `void`
  `setProcessTag(String inProcessTag, int state)`
  Sets the `ProcessTag` value and Metadata State.
  `void`
  `setProcessTagState(int state)`
  Sets the Metadata State of `ProcessTag`.
  `void`
  `setSyntaxMarker(String inSyntaxMarker)`
  Sets the `SyntaxMarker` value and sets the state to MetadataState.LOCAL.
  `void`
  `setSyntaxMarker(String inSyntaxMarker, int state)`
  Sets the `SyntaxMarker` Metadata State.
  `void`
  `setSyntaxMarkerState(int state)`
  Sets the Metadata State of `SyntaxMarker`.

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBase

  `addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil

  `addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getAuthorizationUtil, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML

  `closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

  ### Methods inherited from interface com.sas.metadata.remote.Root

  `getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

- ## Field Details

  - ### ATTRIBUTE_LOCATIONPATH_NAME

    static final String ATTRIBUTE_LOCATIONPATH_NAME
    Constant used for the name of the LocationPath attribute.

    LocationPath: LocationPath

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_LOCATIONPATHTYPE_NAME

    static final String ATTRIBUTE_LOCATIONPATHTYPE_NAME
    Constant used for the name of the LocationPathType attribute.

    LocationPathType: Indicates if the path is absolute (0) or relative (1).

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_MAJORVERSION_NAME

    static final String ATTRIBUTE_MAJORVERSION_NAME
    Constant used for the name of the MajorVersion attribute.

    MajorVersion: Major version of the SAS XML LIBNAME extension.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_MINORVERSION_NAME

    static final String ATTRIBUTE_MINORVERSION_NAME
    Constant used for the name of the MinorVersion attribute.

    MinorVersion: Minor version of the SAS XML LIBNAME extension.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_PROCESSTAG_NAME

    static final String ATTRIBUTE_PROCESSTAG_NAME
    Constant used for the name of the ProcessTag attribute.

    ProcessTag: Integer to show whether the tag is the beginning or the end of an Xpath. 0 = no tag; 1= beginning tag; 2 = end tag

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_AXISNAME_NAME

    static final String ATTRIBUTE_AXISNAME_NAME
    Constant used for the name of the AxisName attribute.

    AxisName: Used to show the tree relationship.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_NODESETFUNCTION_NAME

    static final String ATTRIBUTE_NODESETFUNCTION_NAME
    Constant used for the name of the NodeSetFunction attribute.

    NodeSetFunction: Used to show the node set function.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_SYNTAXMARKER_NAME

    static final String ATTRIBUTE_SYNTAXMARKER_NAME
    Constant used for the name of the SyntaxMarker attribute.

    SyntaxMarker: Describes the language used in the XPath.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_ASSOCIATEDMAPCOLUMN_NAME

    static final String ASSOCIATION_ASSOCIATEDMAPCOLUMN_NAME
    Constant used for the name of the AssociatedMapColumn association.

    AssociatedMapColumn: Associated SXLE map column.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_ASSOCIATEDMAPTABLE_NAME

    static final String ASSOCIATION_ASSOCIATEDMAPTABLE_NAME
    Constant used for the name of the AssociatedMapTable association.

    AssociatedMapTable: Associated SXLE map table.

    See Also:
      - Constant Field Values

- ## Method Details

  - ### initializeRequiredObjects

    void initializeRequiredObjects() throws RemoteException
    (S) This initializes the Required Objects(Roles) which are:
    Specified by:
      `initializeRequiredObjects` in interface `MdObjectBaseUtil`
    Specified by:
      `initializeRequiredObjects` in interface `Root`
    Specified by:
      `initializeRequiredObjects` in interface `SecondaryType`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### initializePredObjects

    void initializePredObjects() throws RemoteException
    (S) Adds the Associated objects to the predObjects which are:
    Specified by:
      `initializePredObjects` in interface `MdObjectBase`
    Specified by:
      `initializePredObjects` in interface `Root`
    Specified by:
      `initializePredObjects` in interface `SecondaryType`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getLocationPath

    String getLocationPath() throws RemoteException
    Gets the `String` value of `LocationPath`
    Returns:
      The `LocationPath`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getLocationPathState

    int getLocationPathState() throws RemoteException
    Gets the Metadata State of `LocationPath`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getLocationPathMaxLength

    int getLocationPathMaxLength() throws RemoteException
    Gets the maximum length of `LocationPath`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getLocationPathType

    int getLocationPathType() throws RemoteException
    Gets the `int` value of `LocationPathType`
    Returns:
      The `LocationPathType`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getLocationPathTypeState

    int getLocationPathTypeState() throws RemoteException
    Gets the Metadata State of `LocationPathType`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getMajorVersion

    int getMajorVersion() throws RemoteException
    Gets the `int` value of `MajorVersion`
    Returns:
      The `MajorVersion`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getMajorVersionState

    int getMajorVersionState() throws RemoteException
    Gets the Metadata State of `MajorVersion`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getMinorVersion

    int getMinorVersion() throws RemoteException
    Gets the `int` value of `MinorVersion`
    Returns:
      The `MinorVersion`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getMinorVersionState

    int getMinorVersionState() throws RemoteException
    Gets the Metadata State of `MinorVersion`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getProcessTag

    int getProcessTag() throws RemoteException
    Gets the `int` value of `ProcessTag`
    Returns:
      The `ProcessTag`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getProcessTagState

    int getProcessTagState() throws RemoteException
    Gets the Metadata State of `ProcessTag`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getAxisName

    String getAxisName() throws RemoteException
    Gets the `String` value of `AxisName`
    Returns:
      The `AxisName`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getAxisNameState

    int getAxisNameState() throws RemoteException
    Gets the Metadata State of `AxisName`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getAxisNameMaxLength

    int getAxisNameMaxLength() throws RemoteException
    Gets the maximum length of `AxisName`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getNodeSetFunction

    String getNodeSetFunction() throws RemoteException
    Gets the `String` value of `NodeSetFunction`
    Returns:
      The `NodeSetFunction`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getNodeSetFunctionState

    int getNodeSetFunctionState() throws RemoteException
    Gets the Metadata State of `NodeSetFunction`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getNodeSetFunctionMaxLength

    int getNodeSetFunctionMaxLength() throws RemoteException
    Gets the maximum length of `NodeSetFunction`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSyntaxMarker

    String getSyntaxMarker() throws RemoteException
    Gets the `String` value of `SyntaxMarker`
    Returns:
      The `SyntaxMarker`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSyntaxMarkerState

    int getSyntaxMarkerState() throws RemoteException
    Gets the Metadata State of `SyntaxMarker`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSyntaxMarkerMaxLength

    int getSyntaxMarkerMaxLength() throws RemoteException
    Gets the maximum length of `SyntaxMarker`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getAssociatedMapColumns

    AssociationList getAssociatedMapColumns() throws RemoteException, MdException
    Gets the Association list of `AssociatedMapColumns`
    Returns:
      The AssociationList of `AssociatedMapColumns` which can be of type:
      Column
      ColumnRange
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedMapColumn

    Column getAssociatedMapColumn() throws RemoteException, MdException
    Gets the `Column` for `AssociatedMapColumn`
    Returns:
      The `Column` ( `null` if not set ) of `AssociatedMapColumn` which can be of type:
      Column
      ColumnRange
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedMapTables

    AssociationList getAssociatedMapTables() throws RemoteException, MdException
    Gets the Association list of `AssociatedMapTables`
    Returns:
      The AssociationList of `AssociatedMapTables` which can be of type:
      RelationalTable
      PhysicalTable
      WorkTable
      SecuredTable
      QueryTable
      JoinTable
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedMapTable

    RelationalTable getAssociatedMapTable() throws RemoteException, MdException
    Gets the `RelationalTable` for `AssociatedMapTable`
    Returns:
      The `RelationalTable` ( `null` if not set ) of `AssociatedMapTable` which can be of type:
      RelationalTable
      PhysicalTable
      WorkTable
      SecuredTable
      QueryTable
      JoinTable
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedMapColumns

    AssociationList getAssociatedMapColumns(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `AssociatedMapColumns`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `AssociatedMapColumns` which can be of type:
      Column
      ColumnRange
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedMapTables

    AssociationList getAssociatedMapTables(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `AssociatedMapTables`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `AssociatedMapTables` which can be of type:
      RelationalTable
      PhysicalTable
      WorkTable
      SecuredTable
      QueryTable
      JoinTable
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### setLocationPath

    void setLocationPath(String inLocationPath) throws RemoteException
    Sets the `LocationPath` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inLocationPath` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setLocationPath

    void setLocationPath(String inLocationPath, int state) throws RemoteException
    Sets the `LocationPath` Metadata State.
    Parameters:
      `inLocationPath` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setLocationPathState

    void setLocationPathState(int state) throws RemoteException
    Sets the Metadata State of `LocationPath`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setLocationPathType

    void setLocationPathType(int inLocationPathType) throws RemoteException
    Sets the `LocationPathType` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inLocationPathType` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setLocationPathType

    void setLocationPathType(int inLocationPathType, int state) throws RemoteException
    Sets the `LocationPathType` Metadata State.
    Parameters:
      `inLocationPathType` - int
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setLocationPathType

    void setLocationPathType(String inLocationPathType) throws RemoteException
    Sets the `LocationPathType` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inLocationPathType` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setLocationPathType

    void setLocationPathType(String inLocationPathType, int state) throws RemoteException
    Sets the `LocationPathType` value and Metadata State.
    Parameters:
      `inLocationPathType` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setLocationPathTypeState

    void setLocationPathTypeState(int state) throws RemoteException
    Sets the Metadata State of `LocationPathType`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setMajorVersion

    void setMajorVersion(int inMajorVersion) throws RemoteException
    Sets the `MajorVersion` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inMajorVersion` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setMajorVersion

    void setMajorVersion(int inMajorVersion, int state) throws RemoteException
    Sets the `MajorVersion` Metadata State.
    Parameters:
      `inMajorVersion` - int
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setMajorVersion

    void setMajorVersion(String inMajorVersion) throws RemoteException
    Sets the `MajorVersion` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inMajorVersion` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setMajorVersion

    void setMajorVersion(String inMajorVersion, int state) throws RemoteException
    Sets the `MajorVersion` value and Metadata State.
    Parameters:
      `inMajorVersion` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setMajorVersionState

    void setMajorVersionState(int state) throws RemoteException
    Sets the Metadata State of `MajorVersion`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setMinorVersion

    void setMinorVersion(int inMinorVersion) throws RemoteException
    Sets the `MinorVersion` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inMinorVersion` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setMinorVersion

    void setMinorVersion(int inMinorVersion, int state) throws RemoteException
    Sets the `MinorVersion` Metadata State.
    Parameters:
      `inMinorVersion` - int
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setMinorVersion

    void setMinorVersion(String inMinorVersion) throws RemoteException
    Sets the `MinorVersion` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inMinorVersion` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setMinorVersion

    void setMinorVersion(String inMinorVersion, int state) throws RemoteException
    Sets the `MinorVersion` value and Metadata State.
    Parameters:
      `inMinorVersion` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setMinorVersionState

    void setMinorVersionState(int state) throws RemoteException
    Sets the Metadata State of `MinorVersion`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setProcessTag

    void setProcessTag(int inProcessTag) throws RemoteException
    Sets the `ProcessTag` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inProcessTag` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setProcessTag

    void setProcessTag(int inProcessTag, int state) throws RemoteException
    Sets the `ProcessTag` Metadata State.
    Parameters:
      `inProcessTag` - int
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setProcessTag

    void setProcessTag(String inProcessTag) throws RemoteException
    Sets the `ProcessTag` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inProcessTag` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setProcessTag

    void setProcessTag(String inProcessTag, int state) throws RemoteException
    Sets the `ProcessTag` value and Metadata State.
    Parameters:
      `inProcessTag` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setProcessTagState

    void setProcessTagState(int state) throws RemoteException
    Sets the Metadata State of `ProcessTag`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAxisName

    void setAxisName(String inAxisName) throws RemoteException
    Sets the `AxisName` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inAxisName` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAxisName

    void setAxisName(String inAxisName, int state) throws RemoteException
    Sets the `AxisName` Metadata State.
    Parameters:
      `inAxisName` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAxisNameState

    void setAxisNameState(int state) throws RemoteException
    Sets the Metadata State of `AxisName`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setNodeSetFunction

    void setNodeSetFunction(String inNodeSetFunction) throws RemoteException
    Sets the `NodeSetFunction` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inNodeSetFunction` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setNodeSetFunction

    void setNodeSetFunction(String inNodeSetFunction, int state) throws RemoteException
    Sets the `NodeSetFunction` Metadata State.
    Parameters:
      `inNodeSetFunction` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setNodeSetFunctionState

    void setNodeSetFunctionState(int state) throws RemoteException
    Sets the Metadata State of `NodeSetFunction`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSyntaxMarker

    void setSyntaxMarker(String inSyntaxMarker) throws RemoteException
    Sets the `SyntaxMarker` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inSyntaxMarker` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSyntaxMarker

    void setSyntaxMarker(String inSyntaxMarker, int state) throws RemoteException
    Sets the `SyntaxMarker` Metadata State.
    Parameters:
      `inSyntaxMarker` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSyntaxMarkerState

    void setSyntaxMarkerState(int state) throws RemoteException
    Sets the Metadata State of `SyntaxMarker`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedMapColumns

    void setAssociatedMapColumns(AssociationList list) throws RemoteException
    Sets the `AssociatedMapColumns` list to be `list`. Objects of which can be of type:
    Column
    ColumnRange
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedMapColumns

    void setAssociatedMapColumns(AssociationList list, int state) throws RemoteException
    Sets the `AssociatedMapColumns` list to be `list`. Objects of which can be of type:
    Column
    ColumnRange
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedMapColumn

    void setAssociatedMapColumn(Column inObject) throws RemoteException
    Sets the `AssociatedMapColumns` list 0th element to be `inObject`.
    Parameters:
      `inObject` - Column
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedMapTables

    void setAssociatedMapTables(AssociationList list) throws RemoteException
    Sets the `AssociatedMapTables` list to be `list`. Objects of which can be of type:
    RelationalTable
    PhysicalTable
    WorkTable
    SecuredTable
    QueryTable
    JoinTable
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedMapTables

    void setAssociatedMapTables(AssociationList list, int state) throws RemoteException
    Sets the `AssociatedMapTables` list to be `list`. Objects of which can be of type:
    RelationalTable
    PhysicalTable
    WorkTable
    SecuredTable
    QueryTable
    JoinTable
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedMapTable

    void setAssociatedMapTable(RelationalTable inObject) throws RemoteException
    Sets the `AssociatedMapTables` list 0th element to be `inObject`.
    Parameters:
      `inObject` - RelationalTable
    Throws:
      `RemoteException` - If error communicating with remote object.